[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Freeze exception request for docvert



(Please CC me on your reply, thanks!)

Hello,

I'd like to request a freeze exception for the docvert source package (which
includes docvert and docvert-openoffice.org).

The latest version in sid (3.4-6) fixes the following serious problems:

  - 502322: initscript hangs the boot process (release-critical)

  - missing dependency of docvert-openoffice.org on docvert (this is
    required and docvert-openoffice.org won't work without it)

  - initscript could kill openoffice processes belonging to other
    users

And it also contains trivial fixes for the following problems:

  - 493334: check that docvert is installed when running the cronjob
  - 489796: capitalization change to the small description
  - initscript was referring to the wrong names in the LSB comments

I have attached a debdiff between the version in lenny (3.4-4) and the one
in sid (3.4-6).

Francois
diff -u docvert-3.4/debian/docvert-openoffice.org.docvert-converter.init docvert-3.4/debian/docvert-openoffice.org.docvert-converter.init
--- docvert-3.4/debian/docvert-openoffice.org.docvert-converter.init
+++ docvert-3.4/debian/docvert-openoffice.org.docvert-converter.init
@@ -1,12 +1,12 @@
 #! /bin/sh
 ### BEGIN INIT INFO
-# Provides:          docvert-openoffice
+# Provides:          docvert-converter
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
 # Required-Start:    $local_fs $network $syslog
 # Required-Stop:     $local_fs $network $syslog
-# Short-Description: Open Office service for Docvert
-# Description:       This init.d script is used to start Open Office as a
+# Short-Description: OpenOffice.org service for Docvert
+# Description:       This init.d script is used to start OpenOffice.org as a
 #                    service.
 ### END INIT INFO
 
@@ -15,13 +15,13 @@
 # Do NOT "set -e"
 
 PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="Open Office service for Docvert"
-NAME=docvert-openoffice
+DESC="OpenOffice.org service for Docvert"
+NAME=docvert-converter
 USER=docvert
 GROUP=docvert
 DAEMON=/usr/share/docvert/core/config/unix-specific/openoffice.org-server.sh
 DAEMON_ARGS=""
-PIDFILE=/var/run/docvert/openoffice.pid
+PIDFILE=/var/run/docvert/converter.pid
 SCRIPTNAME=/etc/init.d/$NAME
 
 # Exit if the package is not installed
@@ -47,9 +47,9 @@
 	#   1 if daemon was already running
 	#   2 if daemon could not be started
 	start-stop-daemon -c $USER -g $GROUP --start --pidfile $PIDFILE --exec $DAEMON --test > /dev/null || return 1
-	start-stop-daemon -c $USER -g $GROUP --start --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS || return 2
+	start-stop-daemon -c $USER -g $GROUP --start --pidfile $PIDFILE --background --exec $DAEMON -- $DAEMON_ARGS || return 2
 	sleep 2
-	pgrep "soffice" > "$PIDFILE"
+	pgrep -U $USER -G $GROUP "soffice" > "$PIDFILE"
 	[ -s "$PIDFILE" ] || return 2
 	return 0
 	# Add code here, if necessary, that waits for the process to be ready
diff -u docvert-3.4/debian/docvert.cron.daily docvert-3.4/debian/docvert.cron.daily
--- docvert-3.4/debian/docvert.cron.daily
+++ docvert-3.4/debian/docvert.cron.daily
@@ -3,2 +3,4 @@
-find /var/lib/docvert/ -name "preview*" -type f -mtime 1 | xargs -n 100 rm -f
-find /var/lib/docvert/ -name "preview*" -type d -mtime 1 | xargs --no-run-if-empty -n 100 rmdir --ignore-fail-on-non-empty
+if [ -d /var/lib/docvert ]; then
+	find /var/lib/docvert/ -name "preview*" -type f -mtime 1 | xargs -n 100 rm -f
+	find /var/lib/docvert/ -name "preview*" -type d -mtime 1 | xargs --no-run-if-empty -n 100 rmdir --ignore-fail-on-non-empty
+fi
diff -u docvert-3.4/debian/changelog docvert-3.4/debian/changelog
--- docvert-3.4/debian/changelog
+++ docvert-3.4/debian/changelog
@@ -1,3 +1,20 @@
+docvert (3.4-6) unstable; urgency=high
+
+  * docvert-openoffice.org needs to depend on docvert
+  * initscript:
+    - background the headless OOo process, high urgency (closes: #502322)
+    - only keep track (and kill) OOo processes owned by the docvert user
+    - fix all variables still referring to the old initscript name
+
+ -- Francois Marier <francois@debian.org>  Mon, 20 Oct 2008 10:53:57 +1300
+
+docvert (3.4-5) unstable; urgency=low
+
+  * Make short descriptions start with a lowercase letter (closes: #489796)
+  * Check whether the directory exists in the cron job (closes: #493334)
+
+ -- Francois Marier <francois@debian.org>  Sun, 03 Aug 2008 23:29:40 +1200
+
 docvert (3.4-4) unstable; urgency=low
 
   * Add mkdir call to both postinst scripts (closes: #489031)
diff -u docvert-3.4/debian/control docvert-3.4/debian/control
--- docvert-3.4/debian/control
+++ docvert-3.4/debian/control
@@ -13,7 +13,7 @@
 Pre-Depends: pwgen
 Depends: python, php5-xsl, php5-cli, php5-gd, php5-tidy, librsvg2-bin, apache2, libapache2-mod-php5, libphp-pclzip, fckeditor
 Recommends: docvert-openoffice.org, optipng, jpegoptim
-Description: Converts word processor files to HTML
+Description: converts word processor files to HTML
  Docvert is a web application which takes word processor files
  (typically .doc) and converts them to OpenDocument and clean HTML.
  .
@@ -31,10 +31,10 @@
 Package: docvert-openoffice.org
 Architecture: all
 Pre-Depends: procps
-Depends: openoffice.org-writer, openoffice.org-headless, python-uno, lsb-base (>= 3.0-6), python, libwmf-bin, adduser
+Depends: openoffice.org-writer, openoffice.org-headless, python-uno, lsb-base (>= 3.0-6), python, libwmf-bin, adduser, docvert
 Conflicts: docvert-openoffice
 Replaces: docvert-openoffice
-Description: Converts word processor files to HTML using OpenOffice.org
+Description: converts word processor files to HTML using OpenOffice.org
  Docvert is a web application which takes word processor files
  (typically .doc) and converts them to OpenDocument and clean HTML.
  .

Reply to: